Subject: Re: [PATCH net-next v2 02/10] doc/netlink: Document the genetlink-legacy schema extensions

From: Donald Hunter <[email-masked]>
Date: Wed, 16 Aug 2023 14:16:33 +0100

Donald Hunter <[email-masked]> writes:

> Jakub Kicinski <[email-masked]> writes:
>
>> On Tue, 15 Aug 2023 20:42:46 +0100 Donald Hunter wrote:
>>> +
>>> +Globals
>>> +-------
>>> +
>>> + - ``kernel-policy`` - Specify whether the kernel input policy is ``global``,
>>> +   ``per-op`` or ``split``.
>>
>> Maybe a few more words:
>>
>>  Specify whether the kernel input policy is ``global`` i.e. the same for
>>  all operation of the family, defined for each operation individually 
>>  (``per-op``), or separately for each operation and operation type
>>  (do vs dump) - ``split``.
>
> Ack. As an aside, what do we mean by "kernel input policy"?

So I've just spotted that kernel-policy is already documented in
core-api/netlink.rst and I guess I shouldn't be documenting it in the
userspace-api at all? I could add a reference to the core-api docs so
that it's easier to find the kernel side docs when reading the
userspace-api?